Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [CDO] since API breakage occurred since version 3.0.0.v20100618-1451
[CDO] since API breakage occurred since version 3.0.0.v20100618-1451 [message #658043] Sat, 05 March 2011 12:47 Go to next message
KwanKin Yau is currently offline KwanKin YauFriend
Messages: 32
Registered: July 2009
Member
I have follow the guide on http://wiki.eclipse.org/CDO_Source_Installation, after done, I got the following errors(I have tried clean all projects):
=====================
Description Resource Path Location Type
The major version should be incremented in version 0.2.0.qualifier, since API breakage occurred since version 0.2.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.dawn.examples.acore/META-INF line 5 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1451 MANIFEST.MF /org.eclipse.emf.cdo.defs/META-INF line 5 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.edit/META-INF line 4 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.examples.company/META-INF line 4 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.examples/META-INF line 4 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.eclipse.emf.cdo.team/META-INF line 4 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.eclipse.emf.cdo.ui/META-INF line 5 Version Numbering Problem
The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.1.v20100706-1131 MANIFEST.MF /org.eclipse.emf.cdo.server/META-INF line 4 Version Numbering Problem
The major version should be incremented in version 3.0.1.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.gastro.inventory/META-INF line 5 Version Numbering Problem
The major version should be incremented in version 3.0.1.qualifier, since API breakage occurred since version 3.0.1.v20100809-1025 MANIFEST.MF /org.eclipse.emf.cdo.net4j/META-INF line 5 Version Numbering Problem
The major version should be incremented in version 3.0.1.qualifier, since API breakage occurred since version 3.0.1.v20100911-0901 MANIFEST.MF /org.eclipse.emf.cdo/META-INF line 5 Version Numbering Problem
The major version should be incremented in version 3.0.2.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.gastro.business/META-INF line 5 Version Numbering Problem
The method org.eclipse.emf.cdo.session.CDOSession.getView(int) has been removed CDOSession.java /org.eclipse.emf.cdo/src/org/eclipse/emf/cdo/session line 55 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.dawn.examples.acore_0.2.0 MANIFEST.MF /org.eclipse.emf.cdo.dawn.examples.acore/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.defs_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.defs/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.edit_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.edit/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.examples_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.examples/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.examples.company_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.examples.company/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.net4j_3.0.1 MANIFEST.MF /org.eclipse.emf.cdo.net4j/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.server_3.0.1 MANIFEST.MF /org.eclipse.emf.cdo.server/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.team_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.team/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.ui_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.ui/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.gastro.business_3.0.0 MANIFEST.MF /org.gastro.business/META-INF line 1 Compatibility Problem
The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.gastro.inventory_3.0.0 MANIFEST.MF /org.gastro.inventory/META-INF line 1 Compatibility Problem
The type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo_3.0.1 MANIFEST.MF /org.eclipse.emf.cdo/META-INF line 1 Compatibility Problem
Re: [CDO] since API breakage occurred since version 3.0.0.v20100618-1451 [message #658050 is a reply to message #658043] Sat, 05 March 2011 16:11 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30551
Registered: July 2009
Senior Member
Yau,

The class in question,
org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl, is named internal,
so I don't imagine it should be considered API. Note that you can
change your preferences to make these warnings or to ignore them.


Yau wrote:
> I have follow the guide on
> http://wiki.eclipse.org/CDO_Source_Installation, after done, I got the
> following errors(I have tried clean all projects):
> =====================
> Description Resource Path Location Type
> The major version should be incremented in version 0.2.0.qualifier,
> since API breakage occurred since version 0.2.0.v20100618-1452
> MANIFEST.MF /org.eclipse.emf.cdo.dawn.examples.acore/META-INF
> line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1451
> MANIFEST.MF /org.eclipse.emf.cdo.defs/META-INF line 5 Version
> Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1452
> MANIFEST.MF /org.eclipse.emf.cdo.edit/META-INF line 4 Version
> Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1452
> MANIFEST.MF /org.eclipse.emf.cdo.examples.company/META-INF line
> 4 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1452
> MANIFEST.MF /org.eclipse.emf.cdo.examples/META-INF line 4
> Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1453
> MANIFEST.MF /org.eclipse.emf.cdo.team/META-INF line 4 Version
> Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1453
> MANIFEST.MF /org.eclipse.emf.cdo.ui/META-INF line 5 Version
> Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier,
> since API breakage occurred since version 3.0.1.v20100706-1131
> MANIFEST.MF /org.eclipse.emf.cdo.server/META-INF line 4
> Version Numbering Problem
> The major version should be incremented in version 3.0.1.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1453
> MANIFEST.MF /org.gastro.inventory/META-INF line 5 Version
> Numbering Problem
> The major version should be incremented in version 3.0.1.qualifier,
> since API breakage occurred since version 3.0.1.v20100809-1025
> MANIFEST.MF /org.eclipse.emf.cdo.net4j/META-INF line 5
> Version Numbering Problem
> The major version should be incremented in version 3.0.1.qualifier,
> since API breakage occurred since version 3.0.1.v20100911-0901
> MANIFEST.MF /org.eclipse.emf.cdo/META-INF line 5 Version
> Numbering Problem
> The major version should be incremented in version 3.0.2.qualifier,
> since API breakage occurred since version 3.0.0.v20100618-1453
> MANIFEST.MF /org.gastro.business/META-INF line 5 Version
> Numbering Problem
> The method org.eclipse.emf.cdo.session.CDOSession.getView(int) has
> been removed CDOSession.java
> /org.eclipse.emf.cdo/src/org/eclipse/emf/cdo/session line 55
> Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.dawn.examples.acore_0.2.0 MANIFEST.MF
> /org.eclipse.emf.cdo.dawn.examples.acore/META-INF line 1
> Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.defs_3.0.0 MANIFEST.MF
> /org.eclipse.emf.cdo.defs/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.edit_3.0.0 MANIFEST.MF
> /org.eclipse.emf.cdo.edit/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.examples_3.0.0 MANIFEST.MF
> /org.eclipse.emf.cdo.examples/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.examples.company_3.0.0 MANIFEST.MF
> /org.eclipse.emf.cdo.examples.company/META-INF line 1
> Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.net4j_3.0.1 MANIFEST.MF
> /org.eclipse.emf.cdo.net4j/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.server_3.0.1 MANIFEST.MF
> /org.eclipse.emf.cdo.server/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.team_3.0.0 MANIFEST.MF
> /org.eclipse.emf.cdo.team/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.eclipse.emf.cdo.ui_3.0.0 MANIFEST.MF
> /org.eclipse.emf.cdo.ui/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.gastro.business_3.0.0 MANIFEST.MF
> /org.gastro.business/META-INF line 1 Compatibility Problem
> The re-exported type
> org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed
> from org.gastro.inventory_3.0.0 MANIFEST.MF
> /org.gastro.inventory/META-INF line 1 Compatibility Problem
> The type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been
> removed from org.eclipse.emf.cdo_3.0.1 MANIFEST.MF
> /org.eclipse.emf.cdo/META-INF line 1 Compatibility Problem
>
Re: [CDO] since API breakage occurred since version 3.0.0.v20100618-1451 [message #658059 is a reply to message #658043] Sat, 05 March 2011 17:45 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 6446
Registered: July 2009
Senior Member
Sorry, I have no clue what's going on there. As Ed pointed out, CDOObjectReferenceImpl is an internal class and is not ecported from its plugin. API Tools should really not complain about it.

Cheers
/Eike

----
http://www.esc-net.de
http://thegordian.blogspot.com
http://twitter.com/eikestepper



Am 05.03.2011 13:47, schrieb Yau:
> I have follow the guide on http://wiki.eclipse.org/CDO_Source_Installation, after done, I got the following errors(I have tried clean all projects):
> =====================
> Description Resource Path Location Type
> The major version should be incremented in version 0.2.0.qualifier, since API breakage occurred since version 0.2.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.dawn.examples.acore/META-INF line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1451 MANIFEST.MF /org.eclipse.emf.cdo.defs/META-INF line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.edit/META-INF line 4 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.examples.company/META-INF line 4 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1452 MANIFEST.MF /org.eclipse.emf.cdo.examples/META-INF line 4 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.eclipse.emf.cdo.team/META-INF line 4 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.eclipse.emf.cdo.ui/META-INF line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.0.qualifier, since API breakage occurred since version 3.0.1.v20100706-1131 MANIFEST.MF /org.eclipse.emf.cdo.server/META-INF line 4 Version Numbering Problem
> The major version should be incremented in version 3.0.1.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.gastro.inventory/META-INF line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.1.qualifier, since API breakage occurred since version 3.0.1.v20100809-1025 MANIFEST.MF /org.eclipse.emf.cdo.net4j/META-INF line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.1.qualifier, since API breakage occurred since version 3.0.1.v20100911-0901 MANIFEST.MF /org.eclipse.emf.cdo/META-INF line 5 Version Numbering Problem
> The major version should be incremented in version 3.0.2.qualifier, since API breakage occurred since version 3.0.0.v20100618-1453 MANIFEST.MF /org.gastro.business/META-INF line 5 Version Numbering Problem
> The method org.eclipse.emf.cdo.session.CDOSession.getView(int) has been removed CDOSession.java /org.eclipse.emf.cdo/src/org/eclipse/emf/cdo/session line 55 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.dawn.examples.acore_0.2.0 MANIFEST.MF /org.eclipse.emf.cdo.dawn.examples.acore/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.defs_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.defs/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.edit_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.edit/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.examples_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.examples/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.examples.company_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.examples.company/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.net4j_3.0.1 MANIFEST.MF /org.eclipse.emf.cdo.net4j/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.server_3.0.1 MANIFEST.MF /org.eclipse.emf.cdo.server/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.team_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.team/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo.ui_3.0.0 MANIFEST.MF /org.eclipse.emf.cdo.ui/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.gastro.business_3.0.0 MANIFEST.MF /org.gastro.business/META-INF line 1 Compatibility Problem
> The re-exported type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.gastro.inventory_3.0.0 MANIFEST.MF /org.gastro.inventory/META-INF line 1 Compatibility Problem
> The type org.eclipse.emf.internal.cdo.CDOObjectReferenceImpl has been removed from org.eclipse.emf.cdo_3.0.1 MANIFEST.MF /org.eclipse.emf.cdo/META-INF line 1 Compatibility Problem
>


Previous Topic:Where to Start
Next Topic:Reusable editor
Goto Forum:
  


Current Time: Sat Oct 19 16:57:18 GMT 2019

Powered by FUDForum. Page generated in 0.01583 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top